Bug 113715 - Customize dialog: .uno:EditAnnotation visible in functions list
Summary: Customize dialog: .uno:EditAnnotation visible in functions list
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:6.1.0 target:6.0.0.2
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-11-08 09:49 UTC by Thomas Lendo
Modified: 2018-01-08 09:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Customize dialog, Toolbars tab, LibO 6.0.0.0.alpha1+ (34.94 KB, image/png)
2017-11-14 07:04 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-11-08 09:49:01 UTC
.uno:EditAnnotation is visible in the functions list of the new Customize dialog. What is this doing? Should it be removed or renamed for the functions list?

Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: de-DE (de_DE); Calc: group
Comment 1 Xisco Faulí 2017-11-13 22:04:12 UTC
Could you add a screenshot for clarification ?
Comment 2 Thomas Lendo 2017-11-14 07:04:26 UTC
Created attachment 137736 [details]
Screenshot of Customize dialog, Toolbars tab, LibO 6.0.0.0.alpha1+

(I didn't find a Windows x64 master newer than November 7.)
Comment 3 Muhammet Kara 2017-12-05 08:58:13 UTC
Either it doesn't have a name to be displayed, or there was another error while getting its name. Needs a little more investigation to find out the exact reason for this, but I confirm there is a problem for sure, and it needs to be fixed.

Confirmed on:
Version: 6.1.0.0.alpha0+
Build ID: 0e2a3619bdecd903516c96a64dc7cbf8552b85bf
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded

Also confirmed on:
Sürüm: 5.2.7.2
İnşa №: 1:5.2.7-1
İşlemci Görevleri: 8; İşletim Sistemi Sürümü: Linux 4.9; UI Gerçekleyici: varsayılan; VCL: gtk3; 
Yerel: tr-TR (en_US.UTF-8); Calc: group

And adding it to a menu in a localized version (tr-TR) causes a crash.
Comment 4 Maxim Monastirsky 2017-12-05 09:25:48 UTC
.uno:EditAnnotation works in sw and sd only with arguments, and in sc also w/o arguments, so it should be in the customization dialog in sc but not in sw and sd. That's why its label is only defined in CalcCommands.xcu, so it can't find the label when opening the dialog from inside sw or sd.
Comment 5 Muhammet Kara 2017-12-05 12:50:54 UTC
In fact, .uno:EditAnnotation  is not alone. Open the customize dialog in Calc to see more.
Comment 6 Muhammet Kara 2017-12-05 15:36:39 UTC
Please feel free to test the patch on gerrit: https://gerrit.libreoffice.org/#/c/45891/
Comment 7 Commit Notification 2017-12-09 20:31:07 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=591ed2391389120efdf366f207642a98eb9f054c

tdf#113715 Fix .uno: names appearing in the customization dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-01-08 09:08:01 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b9582855a529823191ed6a12b96ec10ac8e2dec&h=libreoffice-6-0

tdf#113715 Fix .uno: names appearing in the customization dialog

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.